be.fgov.ehealth.dics.protocol.v5

## Class ConsultAmpComponentType

- java.lang.Object
- - be.fgov.ehealth.dics.protocol.v5.ConsultAmpComponentType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2025-03-20T11:27:16+01:00",
                 comments="JAXB RI v2.3.7")
      public class ConsultAmpComponentType
      extends Object
      implements Serializable

  Java class for ConsultAmpComponentType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ConsultAmpComponentType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="Dividable" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="Scored" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="Crushable" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="ContainsAlcohol" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="SugarFree" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
               <element name="ModifiedReleaseType" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/>
               <element name="SpecificDrugDevice" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/>
               <element name="Dimensions" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="Name" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultTextType" minOccurs="0"/>
               <element name="Note" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultTextType" minOccurs="0"/>
               <element name="PharmaceuticalForm" type="{urn:be:fgov:ehealth:dics:protocol:v5}PharmaceuticalFormWithStandardsType" maxOccurs="unbounded"/>
               <element name="RouteOfAdministration" type="{urn:be:fgov:ehealth:dics:protocol:v5}RouteOfAdministrationWithStandardsType" maxOccurs="unbounded"/>
               <element name="RealActualIngredient" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultRealActualIngredientType" maxOccurs="unbounded"/>
               <element name="AdditionalFields" type="{urn:be:fgov:ehealth:dics:protocol:v5}AdditionalFieldsType" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
             <attGroup ref="{urn:be:fgov:ehealth:dics:protocol:v5}validityPeriod"/>
             <attribute name="SequenceNr" use="required" type="{http://www.w3.org/2001/XMLSchema}int" />
             <attribute name="VmpComponentCode" type="{http://www.w3.org/2001/XMLSchema}int" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConsultAmpComponentType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<AdditionalFieldsType>` | `getAdditionalFields()` Gets the value of the additionalFields property.
    `String` | `getContainsAlcohol()` Gets the value of the containsAlcohol property.
    `String` | `getCrushable()` Gets the value of the crushable property.
    `String` | `getDimensions()` Gets the value of the dimensions property.
    `String` | `getDividable()` Gets the value of the dividable property.
    `org.joda.time.DateTime` | `getEndDate()` Gets the value of the endDate property.
    `Integer` | `getModifiedReleaseType()` Gets the value of the modifiedReleaseType property.
    `ConsultTextType` | `getName()` Gets the value of the name property.
    `ConsultTextType` | `getNote()` Gets the value of the note property.
    `List<PharmaceuticalFormWithStandardsType>` | `getPharmaceuticalForms()` Gets the value of the pharmaceuticalForms property.
    `List<ConsultRealActualIngredientType>` | `getRealActualIngredients()` Gets the value of the realActualIngredients property.
    `List<RouteOfAdministrationWithStandardsType>` | `getRouteOfAdministrations()` Gets the value of the routeOfAdministrations property.
    `String` | `getScored()` Gets the value of the scored property.
    `int` | `getSequenceNr()` Gets the value of the sequenceNr property.
    `Integer` | `getSpecificDrugDevice()` Gets the value of the specificDrugDevice property.
    `org.joda.time.DateTime` | `getStartDate()` Gets the value of the startDate property.
    `Integer` | `getVmpComponentCode()` Gets the value of the vmpComponentCode property.
    `Boolean` | `isSugarFree()` Gets the value of the sugarFree property.
    `void` | `setContainsAlcohol(String value)` Sets the value of the containsAlcohol property.
    `void` | `setCrushable(String value)` Sets the value of the crushable property.
    `void` | `setDimensions(String value)` Sets the value of the dimensions property.
    `void` | `setDividable(String value)` Sets the value of the dividable property.
    `void` | `setEndDate(org.joda.time.DateTime value)` Sets the value of the endDate property.
    `void` | `setModifiedReleaseType(Integer value)` Sets the value of the modifiedReleaseType property.
    `void` | `setName(ConsultTextType value)` Sets the value of the name property.
    `void` | `setNote(ConsultTextType value)` Sets the value of the note property.
    `void` | `setScored(String value)` Sets the value of the scored property.
    `void` | `setSequenceNr(int value)` Sets the value of the sequenceNr property.
    `void` | `setSpecificDrugDevice(Integer value)` Sets the value of the specificDrugDevice property.
    `void` | `setStartDate(org.joda.time.DateTime value)` Sets the value of the startDate property.
    `void` | `setSugarFree(Boolean value)` Sets the value of the sugarFree property.
    `void` | `setVmpComponentCode(Integer value)` Sets the value of the vmpComponentCode property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConsultAmpComponentType

          public ConsultAmpComponentType()

  - ### Method Detail

    - #### getDividable

          public String getDividable()

      Gets the value of the dividable property.
      Returns:
        possible object is `String`

    - #### setDividable

          public void setDividable(String value)

      Sets the value of the dividable property.
      Parameters:
        `value` - allowed object is `String`

    - #### getScored

          public String getScored()

      Gets the value of the scored property.
      Returns:
        possible object is `String`

    - #### setScored

          public void setScored(String value)

      Sets the value of the scored property.
      Parameters:
        `value` - allowed object is `String`

    - #### getCrushable

          public String getCrushable()

      Gets the value of the crushable property.
      Returns:
        possible object is `String`

    - #### setCrushable

          public void setCrushable(String value)

      Sets the value of the crushable property.
      Parameters:
        `value` - allowed object is `String`

    - #### getContainsAlcohol

          public String getContainsAlcohol()

      Gets the value of the containsAlcohol property.
      Returns:
        possible object is `String`

    - #### setContainsAlcohol

          public void setContainsAlcohol(String value)

      Sets the value of the containsAlcohol property.
      Parameters:
        `value` - allowed object is `String`

    - #### isSugarFree

          public Boolean isSugarFree()

      Gets the value of the sugarFree property.
      Returns:
        possible object is `Boolean`

    - #### setSugarFree

          public void setSugarFree(Boolean value)

      Sets the value of the sugarFree property.
      Parameters:
        `value` - allowed object is `Boolean`

    - #### getModifiedReleaseType

          public Integer getModifiedReleaseType()

      Gets the value of the modifiedReleaseType property.
      Returns:
        possible object is `Integer`

    - #### setModifiedReleaseType

          public void setModifiedReleaseType(Integer value)

      Sets the value of the modifiedReleaseType property.
      Parameters:
        `value` - allowed object is `Integer`

    - #### getSpecificDrugDevice

          public Integer getSpecificDrugDevice()

      Gets the value of the specificDrugDevice property.
      Returns:
        possible object is `Integer`

    - #### setSpecificDrugDevice

          public void setSpecificDrugDevice(Integer value)

      Sets the value of the specificDrugDevice property.
      Parameters:
        `value` - allowed object is `Integer`

    - #### getDimensions

          public String getDimensions()

      Gets the value of the dimensions property.
      Returns:
        possible object is `String`

    - #### setDimensions

          public void setDimensions(String value)

      Sets the value of the dimensions property.
      Parameters:
        `value` - allowed object is `String`

    - #### getName

          public ConsultTextType getName()

      Gets the value of the name property.
      Returns:
        possible object is `ConsultTextType`

    - #### setName

          public void setName(ConsultTextType value)

      Sets the value of the name property.
      Parameters:
        `value` - allowed object is `ConsultTextType`

    - #### getNote

          public ConsultTextType getNote()

      Gets the value of the note property.
      Returns:
        possible object is `ConsultTextType`

    - #### setNote

          public void setNote(ConsultTextType value)

      Sets the value of the note property.
      Parameters:
        `value` - allowed object is `ConsultTextType`

    - #### getPharmaceuticalForms

          public List<PharmaceuticalFormWithStandardsType> getPharmaceuticalForms()

      Gets the value of the pharmaceuticalForms property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the pharmaceuticalForms property.

      For example, to add a new item, do as follows:

              getPharmaceuticalForms().add(newItem);

      Objects of the following type(s) are allowed in the list `PharmaceuticalFormWithStandardsType`

    - #### getRouteOfAdministrations

          public List<RouteOfAdministrationWithStandardsType> getRouteOfAdministrations()

      Gets the value of the routeOfAdministrations property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the routeOfAdministrations property.

      For example, to add a new item, do as follows:

              getRouteOfAdministrations().add(newItem);

      Objects of the following type(s) are allowed in the list `RouteOfAdministrationWithStandardsType`

    - #### getRealActualIngredients

          public List<ConsultRealActualIngredientType> getRealActualIngredients()

      Gets the value of the realActualIngredients property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the realActualIngredients property.

      For example, to add a new item, do as follows:

              getRealActualIngredients().add(newItem);

      Objects of the following type(s) are allowed in the list `ConsultRealActualIngredientType`

    - #### getAdditionalFields

          public List<AdditionalFieldsType> getAdditionalFields()

      Gets the value of the additionalFields property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the additionalFields property.

      For example, to add a new item, do as follows:

              getAdditionalFields().add(newItem);

      Objects of the following type(s) are allowed in the list `AdditionalFieldsType`

    - #### getSequenceNr

          public int getSequenceNr()

      Gets the value of the sequenceNr property.

    - #### setSequenceNr

          public void setSequenceNr(int value)

      Sets the value of the sequenceNr property.

    - #### getVmpComponentCode

          public Integer getVmpComponentCode()

      Gets the value of the vmpComponentCode property.
      Returns:
        possible object is `Integer`

    - #### setVmpComponentCode

          public void setVmpComponentCode(Integer value)

      Sets the value of the vmpComponentCode property.
      Parameters:
        `value` - allowed object is `Integer`

    - #### getStartDate

          public org.joda.time.DateTime getStartDate()

      Gets the value of the startDate property.
      Returns:
        possible object is `String`

    - #### setStartDate

          public void setStartDate(org.joda.time.DateTime value)

      Sets the value of the startDate property.
      Parameters:
        `value` - allowed object is `String`

    - #### getEndDate

          public org.joda.time.DateTime getEndDate()

      Gets the value of the endDate property.
      Returns:
        possible object is `String`

    - #### setEndDate

          public void setEndDate(org.joda.time.DateTime value)

      Sets the value of the endDate property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSAUDIOLOGIST 4.7.3 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.